# specifies that the editor needn't look further, since this is the furthest
# .editorconfig file
root = true

# global settings, good/sane defaults for any file.
# where we follow UNIX formatted plain text, and use tabs over spaces
[*]
charset = UTF-8
end_of_line = LF
insert_final_newline = true
trim_trailing_whitespace = true
indent_style = tab
tab_width = 8

# forces the usage of 4 spaces
[*.{py,rs,cs}]
indent_style = space
indent_size = 4
